<template>
  <div id="app">
    <router-view />
    <service-worker-update-popup />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import ServiceWorkerUpdatePopup from '@/pwa/components/ServiceWorkerUpdatePopup.vue'

@Component({
  name: 'App',
  components: {
    ServiceWorkerUpdatePopup
  }
})
export default class extends Vue {}
</script>

<style lang="scss">
.v-modal {
  z-index: 200 !important;
}
.el-dialog__wrapper {
  z-index: 201 !important;
}
.v-dialog__content {z-index: 203 !important;}
.tip_span {
  border-left: 3px solid #155BD4;
  padding: 2px 10px 2px 10px;
}
.toolbar {
  background: #ffffff;
  padding: 10px;
  margin-bottom: 10px;
  .el-button {
    float: left;
  }
  .el-pagination {
    text-align: right;
  }
  .el-form-item {
    margin-top: 2px;
    margin-bottom: 2px;
  }
}

</style>
